# Rewards

The goal of the whole activity is to put the painting together, which is equal to collecting all the pieces in one wallet - which gives the buyer final reward. The main prize includes also the original painting, which will be transfered to the owner of the wallet containing all 10 927 NFT

**Minimum Main Prize**

To calculate the minimum value of the main prize, taking into account the token prices and quantities in each of the 19 phases, let's first calculate the total value of the fees for all tokens:

```scss
scssCopy codetotal_fee = (0 * 0) + (1 * 0.001) + (1 * 0.0236) + (2 * 0.0382) + (3 * 0.05) + (5 * 0.0618) + (8 * 0.0786) + (13 * 0.1618) + (21 * 0.218) + (34 * 0.236) + (55 * 0.382) + (89 * 0.5) + (144 * 0.618) + (233 * 0.786) + (377 * 1.618) + (610 * 2.618) + (987 * 3.618) + (1579 * 4.236) + (2584 * 6.8723)
```

Substituting the values:

```yaml
yamlCopy codetotal_fee = 0 + 0.001 + 0.0236 + 0.0764 + 0.15 + 0.309 + 0.6288 + 2.1034 + 4.578 + 8.024 + 21.01 + 44.5 + 88.992 + 183.198 + 609.986 + 1596.98 + 3571.746 + 6695.244 + 17751.9952
```

Summing up the values:

```
Copy codetotal_fee ≈ 28590.5732 ETH
```

Now, let's calculate the minimum value of the main prize:

```makefile
makefileCopy codeminimal_main_goal_amount = total_fee * 100 / 225 = 28590.5732 * 100 / 225 ≈ 12707.3652 ETH
```

The minimum value of the main prize is thus approximately 12,707.3652 ETH, taking into account the token prices and quantities in each of the 19 phases.

### Main Prize

Collecting 10,927 tokens in one wallet

* the main prize is 59% of the amount of NFT tokens sold
* 2.5% of the Secondary Trade fee is transferred to the Grand Prize Portfolio
* we don't know the exact amount of the main prize, but we can estimate that the minimum amount is 9725 eth + 2.5% royalties

{% embed url="<https://youtu.be/afjyO1PJ_YU>" %}

{% hint style="info" %}
The winning prize will be given to the person’s wallet, who managed to collect all the parts of the painting.
{% endhint %}

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decentral-art.com/rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
